//
//  Url.h
//  redstar
//
//  Created by admin on 15/11/2.
//  Copyright © 2015年 ZWF. All rights reserved.
//

#ifndef Url_h
#define Url_h

// url
#define kRedStarURL  @"http://218.244.151.129:7580/"

// 检查更新
#define kCheckUpdateURL @"redstar-server/rest/ipapk?type=ipa"

// login
#define kLoginURL @"redstar-server/rest/user/login/"

// QuestionList
#define kQuestionListURL @"redstar-server/rest/question/query"

#define kQuestionDetailURL @"redstar-server/rest/question/get/"

// InspectList获取口碑列表
#define kInspectListURL @"redstar-server/rest/praise/query"

// 口碑巡检明细
#define kInspectDetailURL @"redstar-server/rest/praise/get/"

// 口碑排名列表
#define kRankingListURL @"redstar-server/rest/praise/ranking"
// 提交评论
#define kAddCommentURL @"redstar-server/rest/comment/submit"

// 点赞
#define kAddLikeURL @"redstar-server/rest/question/like/"

// 取消点赞
#define kCancelLikeURL @"redstar-server/rest/question/cancel_like/"

// 上传新问题
#define kUpLoadQuestionURL @"redstar-server/rest/question/submit"

// 上报巡检结果
#define kUpLoadInspectResult @"redstar-server/rest/praise/report/"

// 公告
#define kAnnounceListURL @"redstar-server/rest/affiche/download/"

// 单个公告详情
#define kAnnounceDetailURL @"redstar-server/rest/affiche/get/"

// 提交公告
#define kAnnounceYetReadURL @"redstar-server/rest/affiche/read/"

// 管理层的抽查列表
#define kManageSportcheckURL @"redstar-server/rest/sportcheck/query"

// 商场的抽查列表
#define kStoreSportcheckURL @"redstar-server/rest/sportcheck/query_store"

// 发起抽查
#define kSaveSportcheckURL @"redstar-server/rest/spotcheck/save?time="

// 抽查任务的明细
#define kSportcheckDetailURL @"redstar-server/rest/spotcheck/get/"

// 上报抽查结果
#define kReportCheckResultURL @"redstar-server/rest/spotcheck/report/"

// 抽查评分
#define kGradeCheckResultURL @"redstar-server/rest/spotcheck/grade?time="

// 获取问题专业组
#define kQuestionGroupURL @"redstar-server/rest/question/queryGroup"

// 获取问题分类
#define kQuestionCategoryURL @"redstar-server/rest/question/queryCategory?groupUuid="

/**
 *  图说口碑相关URL
 */

// 保存图说口碑
#define kSavePicturePraiseURL @"redstar-server/rest/legendpraise/save?time="

// 上传口碑图片
#define kUpLoadPictureURL @"redstar-server/rest/legendpraise/"

// 提交图说口碑
#define kSubmitPicturePraiseURL @"redstar-server/rest/legendpraise/"

// 查询图说口碑
#define kQueryPicturePraiseURL @"redstar-server/rest/legendpraise/query"

// 图说口碑明细
#define kPicturePraiseDetailURL @"redstar-server/rest/legendpraise/get/"

// 口碑点赞
#define kPicturePraiseLikeURL @"redstar-server/rest/legendpraise/like/"

// 口碑取消点赞
#define kPicturePraiseCancelLikeURL @"redstar-server/rest/legendpraise/cancel_like/"


/**
 *  口碑排名（新）
 */

// 获取口碑列表
#define kQueryShortPraiseURL @"redstar-server/rest/praise/query_short?userUuid="

// 获取下级组织
#define kQueryLowerOrgsURL @"redstar-server/rest/organization/queryLowerOrgs"

#endif /* Url_h */
